import importlib.resources

from greendeck.lib.elgato.streamdeck import KeyDirection
from greendeck.lib.elgato.streamdeck import resources
from greendeck.lib.elgato.streamdeck.gen2 import StreamDeckGen2Base


class StreamDeckOriginalV2(StreamDeckGen2Base):
    """
    Represents a physically attached StreamDeck Original (V2) device.
    """

    KEY_COLS = 5
    KEY_ROWS = 3

    KEY_PIXEL_WIDTH = 72
    KEY_PIXEL_HEIGHT = 72
    KEY_IMAGE_FORMAT = "JPEG"
    KEY_FLIP = (True, True)
    KEY_ROTATION = 0
    KEY_DIRECTION = KeyDirection.LTR

    DECK_TYPE = "StreamDeck Original (V2)"
    DECK_VISUAL = True

    BLANK_KEY_IMAGE = importlib.resources.read_binary(resources, "72x72.jpeg")
